--- a/cpp-package/scripts/OpWrapperGenerator.py	2020-01-31 00:45:10.000000000 +0100
+++ b/cpp-package/scripts/OpWrapperGenerator.py	2021-01-22 20:10:01.315607800 +0100
@@ -372,6 +372,14 @@
     return ret + ret2
 
 if __name__ == "__main__":
+    if sys.version_info >= (3, 8):
+        # See https://docs.python.org/3/library/os.html#os.add_dll_directory
+        from platform import system
+        if system() == "Windows":
+            from os import environ as env
+            paths = [p for p in env["PATH"].split(";") if len(p)]
+            for p in paths:
+                os.add_dll_directory(p)
     #et = EnumType(typeName = 'MyET')
     #print(et.GetDefinitionString())
     #print(et.GetEnumStringArray())
